<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include_once($rutaPhp.$rutaHtml.'/acceso/control.php');
$esPantallaOP=true;
include_once($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php'); 


//RECARGA DE CABECERA

function recarga() {

	global $wsUsuario;
	global $wsClave;
	global $wsEmpresa;

	global $productos;
	global $cantidadAgrupacionesEnEstaOrden;
			
	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREP#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'];
		
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
				
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
				
	$_SESSION['orden']=$resultado[0];
	$_SESSION['palets']=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['PaletsPL']);
	
	//CREACION DEL LISTADO GENERAL DE PRODUCTOS
	$productos=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Productos']);
	
	
	
	//CREACION DEL ARBOL DE AGRUPACIONES PALETS/CAJAS
	include('contenidos/orden-preparacion-S-agrupaciones-constructor.php');

}

recarga();

$error='';

if($_POST['lecturaPalet']) {

	$paletLeido=$_POST['lecturaPalet'];

	

	if($_POST['enviar']=='1') {
	
		$procesoEnvio=true;
	
		//WSLecturaPaletCargaRapida#EMP#Usuario#Oprep#Palet
	
		$peticion='WSLecturaPaletCargaRapida#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['orden']['OrdenPreparacion'].'#'.$paletLeido;
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		$valores=explode('#',$resultado[0]['Error']);
		
		if($valores[0]==1) {
		
			?><script>alert('ERROR: <?php echo $valores[1]; ?>',$('#lecturaPalet'),'error');</script><?php
		
		}
		else {
		
			unset($paletLeido);
			recarga();
		
		}
	
	}

	if($paletLeido) {

		$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFOUBI#'.$_SESSION['almacen'].';'.$paletLeido;
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
		if($_GET['traza']=='si') {
				echo "<p>".$peticion."</p>";
				print_r($resultado);
		}
			
		$error=false;
			
		if($resultado[0]['Error']) {
				$valores=explode('#',$resultado[0]['Error']);
				$error=$valores[1];
		}
		else {
			
			$infoPalet=$resultado[0];
				
			$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PRODUCTOSCONTENEDOR#'.$_SESSION['almacen'].';'.$paletLeido.';'.$noAgrupar;
			$contenidoPalet=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
			if($_GET['traza']=='si') {
				echo "<p>".$peticion."</p>";
				print_r($contenidoPalet);
			}
				
		}

	}
	
}



?>

<h2 style="margin-top:0">Orden de Preparación Carga Rápida Nº <?php echo $_SESSION['orden']['OrdenPreparacion']; ?></h2>

<?php //if($cantidadAgrupacionesEnEstaOrden>0) { ?>
<table class="tablaFormateada" style="margin-top:20px">
	<tr>
    	<th colspan="2">Resumen de preparación</th>
    </tr>
	<tr>
    	<td align="left">Nº de Palets a expedir:</td>
		<td><strong><?php echo $_SESSION['orden']['NumPaletsServir']; ?></strong></td>
	</tr>
    <tr>
    	<td align="left">Nº de Palets preparados:</td>
		<td><strong><?php echo $cantidadAgrupacionesEnEstaOrden; ?></strong></td>
	</tr>
</table>
<?php //} ?>

<?php
$soloPendientes=true;
include('contenidos/orden-preparacion-carga-rapida-resumen-palets-obligatorios.php');

?>

<?php if( $_SESSION['orden']['NumPaletsServir'] && $cantidadAgrupacionesEnEstaOrden==$_SESSION['orden']['NumPaletsServir'] ) { ?>

<p><img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" width="60" height="60" /></p>
<p>La cantidad máxima de palets de esta orden ya se ha preparado.</p>
<p>No pueden prepararse más.</p>

<p><input type="submit" name="botonCargaRapidaVolver" id="botonCargaRapidaVolver" value="Volver a la Orden" class="boton"/></p>

<?php } else { ?>

<p>Id de Palet:</p>

<form id="formulario" name="formulario" method="post" action="">

<div>
	<div id="bloqueLecturaPalet" class="campoOrdenPreparacionBloque" style="margin:0 auto"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPalet" /><input name="lecturaPalet" type="text" class="campo campoOrdenPreparacion lecturaPalet" id="lecturaPalet" autocomplete="off" value="<?php echo $paletLeido; ?>"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="campoOrdenPreparacionBorrar" id="borrarPalet" /></div>
</div>    

<input type="hidden" name="enviar" id="enviar" />

</form>

<?php if($infoPalet) { ?>

<div id="bloqueInformacion">

<table class="tablaFormateada" style="margin-top:20px">
	<tr>
		<th>Id Palet Cliente</th>
        <th>Ubicacion</th>
	</tr>
	<tr>
    	<td><?php echo $infoPalet['IdPaletCliente']; ?></td>
		<td><?php if($infoPalet['AliasUbicacionActual']) echo $infoPalet['AliasUbicacionActual']; else echo $infoPalet['UbicacionActual']; ?></td>
	</tr>
</table>

<h3>Contenido del palet:</h3>

<table class="tablaFormateada" style="margin-top:20px">

  <tr>
		<th>Producto</th>
        <th>Descripción</th>
        <th>Stock</th>
        <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
	</tr>
    
    <?php $errorMultiProducto=false; ?>
    
    <?php foreach($contenidoPalet as $item) { ?>
    
    	<?php
		
		if($item['ClientePropietario']!=$_SESSION['orden']['Cliente']) {
			if($error) $error.='<br><br>';
			$error.='Este palet no pertenece al cliente para el que se está realizando la preparación.';
		}
		
        if($productoAnalizado && $productoAnalizado!=$item['Producto'] && !$procesoEnvio) {
			if(!$errorMultiProducto) {
				if($error) $error.='<br><br>';
				$error.='Este palet contiene más de un producto.';
				$errorMultiProducto=true;
			}
		}
		else $productoAnalizado=$item['Producto'];
		
		
		?>
    
        <tr>
            <td><?php echo $item['Producto']; ?></td>
            <td><?php echo $item['Descripcion']; ?></td>
            <td><?php echo $item['Stock']; ?></td>
            <?php if($_SESSION['verEnCajas']=='S') { ?><td><?php echo $item['Cajas']; ?></td><?php } ?>
        </tr>
        
    <?php } ?>
    
    <?php if($error) $error.='<br><br>ERROR: No puede expedirse.'; ?>
    
</table>

</div>

<?php } //Fin if infopalet ?>

<?php } //Fin control num palets ?>

<script>

	function habilitaBotonPlay(valor) {
	
		if(valor) {
			$('#botonSgteProducto').attr('src','<?php echo DIR_IMAGENES; ?>/botones/play.png');
			$('#botonSgteProducto').removeClass('off');
			$('#botonSgteProducto').addClass('continuar');
		}
		else {
			$('#botonSgteProducto').attr('src','<?php echo DIR_IMAGENES; ?>/botones/play-off.png');
			$('#botonSgteProducto').addClass('off');
			$('#botonSgteProducto').removeClass('continuar');
		}
	
	}
	

$(document).ready(function() {
	
		$('#botonCargaRapidaVolver').on('click',function(){
			$('#popupCargando').show();
			window.location='<?php echo $rutaHtml; ?>/orden-preparacion-S.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>';
		});
	
		$('#tecladoPalet').on('click',function(){
				
			$('#teclado').show();
			$('#valor').val( $('#lecturaPalet').val() );
			$('#valorOculto').val( $('#lecturaPalet').val() );
			$('#enter').attr('campoValor','lecturaPalet');
			$('#enter').attr('forzarEnter','si');
		});
			
		
		$('#lecturaPalet').on('change',function(){
			
			$('#popupCargando').show();
			$('#formulario').submit();	

		});
			
		$('#borrarPalet').on('click',function(){
			
			$('#bloqueInformacion').hide();
			habilitaBotonPlay(false);
			
			$('#lecturaPalet').val('');
			$('#lecturaPalet').focus();
					
		});
			
	
	$('.continuar').on("click",function(e){
			
		e.preventDefault();
		
		$('#enviar').val(1);
		$('#popupCargando').show();
		$('#formulario').submit();
		
				
	});
	
	<?php if($error) { ?>
	
	alert('<?php echo $error; ?>',null,'error');
	
	<?php } ?>
	
	<?php if($paletLeido && !$error) { ?>
	
	habilitaBotonPlay(true);
	
	<?php } else { ?>
	
	habilitaBotonPlay(false);
	$('#lecturaPalet').focus();
	
	<?php } ?>
	
});




</script>

<?php

$mostrarInfo=true;

include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-preparacion-S.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
